Search for all
- Search 7.x for all
- Search 9.5.x for all
- Search 8.9.x for all
- Search 11.x for all
- Search main for all
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| FormState::$submit_handlers | property | core/ |
Stores the gathered submission handlers. |
| FormState::$temporary | property | core/ |
Holds temporary data accessible during the current page request only. |
| FormState::$triggering_element | property | core/ |
The form element that triggered submission. |
| FormState::$validate_handlers | property | core/ |
Stores the gathered validation handlers. |
| FormState::$validation_complete | property | core/ |
Tracks if the form has finished validation. |
| FormState::$values | property | core/ |
An associative array of values submitted to the form. |
| FormState::addBuildInfo | function | core/ |
Adds a value to the build info. |
| FormState::addCleanValueKey | function | core/ |
Adds a key to the array of form values that will be cleaned. |
| FormState::addRebuildInfo | function | core/ |
Adds a value to the rebuild info. |
| FormState::cleanValues | function | core/ |
Removes internal Form API elements and buttons from submitted form values. |
| FormState::clearErrors | function | core/ |
Clears all errors against all form elements made by self::setErrorByName(). |
| FormState::disableCache | function | core/ |
Prevents the form from being cached. |
| FormState::disableRedirect | function | core/ |
Prevents the form from redirecting. |
| FormState::get | function | core/ |
Gets the value for a property in the form state storage. |
| FormState::getAlwaysProcess | function | core/ |
Determines if this form should always be processed. |
| FormState::getBuildInfo | function | core/ |
Returns the build info for the form. |
| FormState::getButtons | function | core/ |
Returns the submit and button elements for the form. |
| FormState::getCacheableArray | function | core/ |
Returns an array representation of the cacheable portion of the form state. |
| FormState::getCleanValueKeys | function | core/ |
Gets the keys of the form values that will be cleaned. |
| FormState::getCompleteForm | function | core/ |
Returns a reference to the complete form array. |
| FormState::getError | function | core/ |
Returns the error message filed against the given form element. |
| FormState::getErrors | function | core/ |
Returns an associative array of all errors. |
| FormState::getFormObject | function | core/ |
Returns the form object that is responsible for building this form. |
| FormState::getGroups | function | core/ |
Returns references to details elements to render them within vertical tabs. |
| FormState::getIgnoreDestination | function | core/ |
Gets whether the redirect respects the destination query parameter. |
| FormState::getLimitValidationErrors | function | core/ |
Retrieves the limited validation error sections. |
| FormState::getRebuildInfo | function | core/ |
Gets the rebuild info. |
| FormState::getRedirect | function | core/ |
Gets the value to use for redirecting after the form has been executed. |
| FormState::getResponse | function | core/ |
Gets a response for this form. |
| FormState::getStorage | function | core/ |
Returns the entire set of arbitrary data. |
| FormState::getSubmitHandlers | function | core/ |
Gets the submit handlers. |
| FormState::getTemporary | function | core/ |
Gets temporary data. |
| FormState::getTemporaryValue | function | core/ |
Gets an arbitrary value from temporary storage. |
| FormState::getTriggeringElement | function | core/ |
Gets the form element that triggered submission. |
| FormState::getUserInput | function | core/ |
Returns the form values as they were submitted by the user. |
| FormState::getValidateHandlers | function | core/ |
Gets the validate handlers. |
| FormState::getValues | function | core/ |
Implements \Drupal\Core\Form\FormStateInterface::getValues() |
| FormState::has | function | core/ |
Determines if a property is present in the form state storage. |
| FormState::hasAnyErrors | function | core/ |
Determines if any forms have any errors. |
| FormState::hasFileElement | function | core/ |
Returns whether this form has a file element. |
| FormState::hasInvalidToken | function | core/ |
Determines if the form has an invalid token. |
| FormState::hasTemporaryValue | function | core/ |
Determines if a temporary value is present. |
| FormState::isBypassingProgrammedAccessChecks | function | core/ |
Determines if this form submission should bypass #access. |
| FormState::isCached | function | core/ |
Determines if the form should be cached. |
| FormState::isExecuted | function | core/ |
Determines if the form was submitted and has been processed and executed. |
| FormState::isMethodType | function | core/ |
Returns the HTTP form method. |
| FormState::isProcessingInput | function | core/ |
Determines if the form input will be processed. |
| FormState::isProgrammed | function | core/ |
Returns if this form was submitted programmatically. |
| FormState::isRebuilding | function | core/ |
Determines if the form should be rebuilt after processing. |
| FormState::isRedirectDisabled | function | core/ |
Determines if redirecting has been prevented. |
Pagination
- Previous page
- Page 715
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.